package dataSource;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.ResultSetMetaData;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.Vector;

import javax.naming.NamingException;

import com.mysql.jdbc.jdbc2.optional.MysqlDataSource;


public class DataSourceTableViewer {

	public static void main(String args[]) throws SQLException, NamingException {

		MysqlDataSource ds = new MysqlDataSource();    
		ds.setServerName("localhost");
		ds.setPortNumber(3306);
		ds.setDatabaseName("jdbcTest");
		ds.setUser("root");
		ds.setPassword("root");

		Connection con = ds.getConnection();
		Statement stmt = con.createStatement();

		// execute select query
		String query = "SELECT * FROM PERSON;";
		ResultSet table = stmt.executeQuery(query);

		// determine properties of table
		ResultSetMetaData meta = table.getMetaData();
		String[] colNames = new String[meta.getColumnCount()];
		Vector[] cells = new Vector[colNames.length];
		for( int col = 0; col < colNames.length; col++) {
			colNames[col] = meta.getColumnName(col + 1);
			cells[col] = new Vector();
		} 

		// hold data from result set
		while(table.next()) {
			for(int col = 0; col < colNames.length; col++) {
				Object cell = table.getObject(colNames[col]);
				cells[col].add(cell);
			}
		}

		// print column headings
		for(int col = 0; col < colNames.length; col++)
			System.out.print(colNames[col].toUpperCase() + "\t");
		System.out.println();

		// print data row-wise
		while(!cells[0].isEmpty()) {
			for(int col = 0; col < colNames.length; col++) 
				System.out.print(cells[col].remove(0).toString() 
						+ "\t");
			System.out.println();
		}    
	}
}


