package driverManager;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.ResultSetMetaData;
import java.sql.Statement;
import java.util.Properties;
import java.util.Vector;

import config.JDBCConfig;

public class DriverManagerTableViewer {   

	public static void main (String[] args) {
		try {

			// az adatbazishoz valo kapcsolodashoz szukseges informaciok
			Properties props = new Properties();
			props.setProperty("user", JDBCConfig.USER);
			props.setProperty("password", JDBCConfig.PASSWORD);

			// driver betoltese es AB-hoz valo hozzaferes elokeszitese
			Class.forName(JDBCConfig.DRIVER).newInstance();
			Connection con = DriverManager.getConnection(
					JDBCConfig.URL, props);
			Statement stmt = con.createStatement();

			// select parancs vegrehajtasa
			String query = "SELECT * FROM PERSON;";
			ResultSet table = stmt.executeQuery(query);

			// tabla tulajdonsagainak lekerese
			ResultSetMetaData meta = table.getMetaData();
			String[] colNames = new String[meta.getColumnCount()];
			Vector[] cells = new Vector[colNames.length];
			for( int col = 0; col < colNames.length; col++) {
				colNames[col] = meta.getColumnName(col + 1);
				cells[col] = new Vector();
			} 

			// adatok kinyerese a result set-bol
			while(table.next()) {
				for(int col = 0; col < colNames.length; col++) {
					Object cell = table.getObject(colNames[col]);
					cells[col].add(cell);
				}
			}

			// tablazat fejlecenek kilistazasa
			for(int col = 0; col < colNames.length; col++)
				System.out.print(colNames[col].toUpperCase() + "\t");
			System.out.println();

			// adatok kiirasa soronkent
			while(!cells[0].isEmpty()) {
				for(int col = 0; col < colNames.length; col++) 
					System.out.print(cells[col].remove(0).toString() 
							+ "\t");
				System.out.println();
			}
		}

		// hibakezeles
		catch(Exception e) {
			e.printStackTrace();
		}
	}
}